[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EStackOverflow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Stack overflow error.

## Declaration

Source position: sysutilh.inc line 173

`type EStackOverflow = class(EExternal) ;`

## Inheritance

`EStackOverflow` |  | Stack overflow error.
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EStackOverflow occurs when the stack has grown too big (e.g. by infinite recursion).

Documentation generated on: Feb 26 2014